Bug 1470586 - Instance Reconfigure does not work [NEEDINFO]
Instance Reconfigure does not work
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity high
: GA
: cfme-future
Assigned To: Scott Seago
Ola Pavlenko
reconfigure
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 05:10 EDT by Aziza Karol
Modified: 2017-08-18 00:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack
akarol: needinfo? (opavlenk)


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2017-07-13 05:10:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):
5.8.1.2.20170712143358_461cde4

How reproducible:
100%

Steps to Reproduce:
1.Add RHOS provider 'Compute-->Cloud-->Providers'
2.Navigate to 'Compute-->Cloud-->Instances'
3.Select and instance and select 'Configuration-->Reconfigure'
4.Change the Instance flavor and click submit

Actual results:
Only a flash message stating "Reconfiguring Instance "xxx" from m1.tiny to m1.medium is displayed but it does not get changed.

Also there is no service request created for this reconfiguration request in service->request page.

Expected results:
reconfiguration of instance from one flavor to another should be successful.

Additional info:
No log details in the automation.log as well.

automation.log
----] I, [2017-07-13T05:00:37.775192 #5712:5cd140]  INFO -- : Instantiating [/System/Process/Event?EventStream%3A%3Aevent_stream=418&ExtManagementSystem%3A%3Aext_management_system=3&MiqEvent%3A%3Amiq_event=418&MiqServer%3A%3Amiq_server=2&User%3A%3Auser=1&event_stream_id=418&event_type=ems_auth_valid&miq_event_id=418&object_name=Event&vmdb_object_type=ext_management_system]
[----] I, [2017-07-13T05:00:37.798139 #5712:5cd140]  INFO -- : Updated namespace [/System/Process/Event?EventStream%3A%3Aevent_stream=418&ExtManagementSystem%3A%3Aext_management_system=3&MiqEvent%3A%3Amiq_event=418&MiqServer%3A%3Amiq_server=2&User%3A%3Auser=1&event_stream_id=418&event_type=ems_auth_valid&miq_event_id=418&object_name=Event&vmdb_object_type=ext_management_system  ManageIQ/System]
[----] I, [2017-07-13T05:00:37.843488 #5712:5cd140]  INFO -- : Following Relationship [miqaedb:/System/Event/MiqEvent/POLICY/ems_auth_valid#create]
[----] I, [2017-07-13T05:00:37.862130 #5712:5cd140]  INFO -- : Updated namespace [miqaedb:/System/Event/MiqEvent/POLICY/ems_auth_valid#create  ManageIQ/System/Event/MiqEvent]
[----] I, [2017-07-13T05:00:37.871143 #5712:5cd140]  INFO -- : Instance [/ManageIQ/System/Event/MiqEvent/POLICY/ems_auth_valid] not found in MiqAeDatastore - trying [.missing]
[----] I, [2017-07-13T05:00:37.881073 #5712:5cd140]  INFO -- : Following Relationship [miqaedb:/System/event_handlers/event_enforce_policy#create]
[----] I, [2017-07-13T05:00:37.884477 #5712:5cd140]  INFO -- : Updated namespace [miqaedb:/System/event_handlers/event_enforce_policy#create  ManageIQ/System]
[----] I, [2017-07-13T05:00:37.892001 #5712:5cd140]  INFO -- : Updated namespace [System/event_handlers/event_enforce_policy  ManageIQ/System]
[----] I, [2017-07-13T05:00:37.896591 #5712:5cd140]  INFO -- : Invoking [builtin] method [/ManageIQ/System/event_handlers/event_enforce_policy] with inputs [{}]
[----] I, [2017-07-13T05:00:37.907219 #5712:5cd140]  INFO -- : Followed  Relationship [miqaedb:/System/event_handlers/event_enforce_policy#create]
[----] I, [2017-07-13T05:00:37.907603 #5712:5cd140]  INFO -- : Followed  Relationship [miqaedb:/System/Event/MiqEvent/POLICY/ems_auth_valid#create]
[----] I, [2017-07-13T05:00:59.889142 #5702:5cd140]  INFO -- : MiqAeEvent.build_evm_event >> event=<"evm_worker_start"> inputs=<{:event_details=>"Worker started: ID [216], PID [35307], GUID [c971bcd6-67a9-11e7-98a2-001a4a4809f1]", :type=>"ManageIQ::Providers::StorageManager::CinderManager::EventCatcher", "MiqEvent::miq_event"=>419, :miq_event_id=>419, "EventStream::event_stream"=>419, :event_stream_id=>419}>
[----] I, [2017-07-13T05:01:05.097628 #5712:5cd140]  INFO -- : Instantiating [/System/Process/Event?EventStream%3A%3Aevent_stream=419&MiqEvent%3A%3Amiq_event=419&MiqServer%3A%3Amiq_server=2&User%3A%3Auser=1&event_details=Worker%20started%3A%20ID%20%5B216%5D%2C%20PID%20%5B35307%5D%2C%20GUID%20%5Bc971bcd6-67a9-11e7-98a2-001a4a4809f1%5D&event_stream_id=419&event_type=evm_worker_start&miq_event_id=419&object_name=Event&type=ManageIQ%3A%3AProviders%3A%3AStorageManager%3A%3ACinderManager%3A%3AEventCatcher&vmdb_object_type=miq_server]
[----] I, [2017-07-13T05:01:05.123458 #5712:5cd140]  INFO -- : Updated namespace [/System/Process/Event?EventStream%3A%3Aevent_str
Comment 3 Tzu-Mainn Chen 2017-07-13 16:39:57 EDT
Scott, can you verify this while looking into adding the approval process into reconfigure? Thanks!
Comment 4 Scott Seago 2017-08-11 11:03:05 EDT
I'm starting to suspect that this may not be a bug at all.

To address the last part first -- there is no service request created because the action is called directly right now. There's an existing development task to modify this to use the request/approval process, but that is not supported in the current release.

Regarding the failed reconfiguration, can you see if reconfiguration works on the underlying OpenStack instance -- run directly via CLI?

Reconfiguration was failing for me in the underlying OpenStack CLI without triggering an OpenStack error -- the CLI said "success", so that's a possible OpenStack bug rather than a CloudForms bug -- if OpenStack says it succeeded, then CloudForms will report the same.

What I discovered was that my compute nodes didn't have the SSH keys set up to allow passwordless SSH to succeed between the nodes, which prevented reconfiguration from working (again this is an OpenStack configuration issue rather than a CLoudForms issue).

Once reconfiguration works on the OpenStack side, try it again via CloudForms and see if it works properly there.
Comment 5 Aziza Karol 2017-08-18 00:35:22 EDT
This issues seems to be specific to rhos provider as for other providers the reconfiguration works well.

We should have Openstack QE check this. Ola can you investigate on this issue?

Note You need to log in before you can comment on or make changes to this bug.